import { Metadata } from "next";
import { getTranslations } from "next-intl/server";
import SignInForm from "./signin-form";

export async function generateMetadata(props: {
  params: Promise<{ locale: string }>;
}): Promise<Metadata> {
  const params = await props.params;
  const { locale } = params;
  const t = await getTranslations({ locale, namespace: "seo" });
  const siteUrl = process.env.NEXT_PUBLIC_APP_URL || "https://iddaai.com";

  const pathSegment = "signin";

  return {
    title: t("signin.title"),
    description: t("signin.description"),
    alternates: {
      canonical: `${siteUrl}/${locale}/${pathSegment}`,
      languages: {
        en: `${siteUrl}/en/${pathSegment}`,
        tr: `${siteUrl}/tr/${pathSegment}`,
      },
    },
  };
}

export default function SignInPage() {
  return <SignInForm />;
}
